%define major 1
%define libname %mklibname fontenc %{major}
%define develname %mklibname fontenc -d

Name:		libfontenc
Summary:	The fontenc Library
Version:	1.1.3
Release:	1
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires:	zlib-devel
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1
# list of encodings
Requires:	x11-font-encodings

%description
libfontenc is a library which helps font libraries portably determine and 
deal with different encodings of fonts.

%package -n %{libname}
Summary:	The fontenc Library
Group:		System/Libraries
Conflicts:	libxorg-x11 < 7.0
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
libfontenc is a library which helps font libraries portably determine and 
deal with different encodings of fonts.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	libfontenc-devel = %{version}-%{release}
Obsoletes:	%{_lib}fontenc1-devel < 1.1.1
Obsoletes:	%{_lib}fontenc-static-devel < 1.1.1.
Conflicts:	libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}.

%prep
%setup -qn libfontenc-%{version}

%build
%configure2_5x \
	--disable-static \
	--x-includes=%{_includedir} \
	--x-libraries=%{_libdir} \
	--with-encodingsdir=%{_datadir}/fonts/encodings

%make

%install
%makeinstall_std

%files -n %{libname}
%{_libdir}/libfontenc.so.%{major}*

%files -n %{develname}
%{_libdir}/libfontenc.so
%{_libdir}/pkgconfig/fontenc.pc
%{_includedir}/X11/fonts/fontenc.h

%changelog

* Wed Sep 16 2015 dsilakov <denis.silakov@rosalab.ru> 1.1.3-1
- (e6d3434) Merge pull request #2 from import/libfontenc:auto_update
- (e6d3434) Updated to 1.1.3 (by updates_builder)


